Qwt User's Guide: QwtPickerPolygonMachine Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtPickerPolygonMachine Class Reference

A state machine for polygon selections. More...

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerPolygonMachine:

## Public Member Functions
| QwtPickerPolygonMachine ()
| Constructor.
virtual QList< Command > | transition (const QwtEventPattern &, const QEvent *) override
| Transition.
Public Member Functions inherited from QwtPickerMachine
| QwtPickerMachine (SelectionType)
| Constructor.
virtual | ~QwtPickerMachine ()
| Destructor.
void | reset ()
| Set the current state to 0.
int | state () const
| Return the current state.
void | setState (int)
| Change the current state.
SelectionType | selectionType () const
| Return the selection type.

## Additional Inherited Members
Public Types inherited from QwtPickerMachine
enum | SelectionType { NoSelection = -1 , PointSelection , RectSelection , PolygonSelection }
enum | Command { Begin , Append , Move , Remove , End }
| Commands - the output of a state machine. More...

## Detailed Description

A state machine for polygon selections.

Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 starts the selection and selects the first point, or appends a point. Pressing QwtEventPattern::MouseSelect2 or QwtEventPattern::KeySelect2 appends the last point and terminates the selection.

See also
  QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Definition at line 205 of file qwt_picker_machine.h.

## Constructor & Destructor Documentation

## ◆ QwtPickerPolygonMachine()

QwtPickerPolygonMachine::QwtPickerPolygonMachine | ( |  | ) |

Constructor.

Definition at line 384 of file qwt_picker_machine.cpp.

## Member Function Documentation

## ◆ transition()

QList< QwtPickerMachine::Command > QwtPickerPolygonMachine::transition | ( | const QwtEventPattern & | eventPattern,
|  | const QEvent * | event )
| overridevirtual

Transition.

Implements QwtPickerMachine.

Definition at line 390 of file qwt_picker_machine.cpp.